Subject: Re: Fwd: That whole "Linux stealing our code" thing

From: Adrian Bunk <[email-masked]>
Date: Sat, 1 Sep 2007 23:52:25 +0200

On Sat, Sep 01, 2007 at 05:27:03PM -0400, Constantine A. Murenin wrote:
> On 01/09/07, Adrian Bunk <[email-masked]> wrote:
> > On Sat, Sep 01, 2007 at 01:37:18PM -0400, Constantine A. Murenin wrote:
> > > On 01/09/07, Jeff Garzik <[email-masked]> wrote:
> > > > Constantine A. Murenin wrote:
> > > > > This will hopefully help diminish certain myths about the code licensing.
> > > >
> > > > What myth?  The myth that Theo understands dual licensing?
> > >
> > > Reyk's code was never dual licensed, so it's not like it even matters
> > > to the original dispute.
> >
> > It's no longer dual licenced in the FreeBSD tree because the FreeBSD
> > people removed the GPL choice of the dual licenced code 3 months ago.
> 
> FreeBSD doesn't have Reyk's ath(4) HAL, which OpenHAL is based on.
> 
> FreeBSD has a driver written by Sam, and a binary-only HAL, also written by Sam.
> 
> > So all of Theo's accusations of people breaking the law by making this
> > dual licenced code GPL-only apply as well to the FreeBSD people...
> 
> How? FreeBSD doesn't have Reyk's ath(4) HAL from OpenBSD, so there are
> no possible licensing accusations and violations.

OK, I begin to understand this, there seem to be three different types 
of files changed by Jiri's patch:
1. dual licenced files planned to make GPL-only
2. previously dual licenced files with a too recent version used planned 
   to make GPL-only
3. never dual licenced files planned to make GPL-only

For files under 1. and 2. Reyk did contribute to dual licenced code 
without touching the licence, but I missed that there's also code unter 3.

So there is a problem, but not with the code under 1. (unless you plan 
to change the semantics of the word "alternatively"), the problem is 
with some headers under 2. plus the code under 3.

It's funny how Theo missed the part of Jiri's patch that actually is a 
copyright violation and instead complains about the part that is OK...

> > > That said, I don't see what exact wording you consider inaccurate.
> >
> > Both the FreeBSD and Linux people draw the logical conclusion that this
> > "Alternatively" means everyone can always choose to remove one of the
> > two choices alternatively offered.
> >
> > According to Theo, that is "breaking the law"...
> 
> FreeBSD's ath(4) code, both the driver and the HAL, is entirely
> written by Sam Leffler, who can licence it in whichever way he seems
> reasonable. The driver part of Sam's code is also present in OpenBSD,
> but the HALs in OpenBSD and FreeBSD are entirely different.

Sam also changed the licence of a file additionally containing an
  Copyright (c) 2004 Video54 Technologies, Inc.

> C.

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed